Subject: Re: Malloc failing too soon under XP/2000
From: "Kris Warkentin" <[email-masked]>
To: "Ronald Landheer-Cieslak" <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 12 Feb 2003 12:36:52 -0500

This is the sort of answer I was looking for.  Thank you very much (and also
to others who replied with the same answer).  This gets me a little more
headroom.

The next problem:  even if I set heap_chunk_in_mb to 2048, it still will
only allocate up to a bit more than 1GB.  If I set it to 4096 Mb, I can't
run a bash shell anymore.

Any more ideas?

cheers,

Kris

----- Original Message -----
From: "Ronald Landheer-Cieslak" <[email-masked]>
To: "Kris Warkentin" <[email-masked]>
Cc: <[email-masked]>; <[email-masked]>
Sent: Wednesday, February 12, 2003 12:01 PM
Subject: Re: Malloc failing too soon under XP/2000

> Charles Werner explains this pretty well in:
> http://sources.redhat.com/ml/cygwin/2003-02/msg00234.html
> he also explains how to change the settings
>
> ciao
>
> rlc
>
> On Wed, 12 Feb 2003, Kris Warkentin wrote:
>
> > I'm running Windows XP with 1/2GB RAM and 2GB swap.  Running Cygwin
1.3.18.
> > Consider the following program to use as much memory as possible:
> >
> > #include <stdio.h>
> > #include <malloc.h>
> >
> > int
> > main()
> > {
> >         void *x;
> >         unsigned long long mem=0;
> >
> >         while((x=malloc(500000)) != NULL){
> >                 mem += 500000;
> >                 memset(x, 0, 500000);
> >                 printf("allocated %u\n", mem);
> >         }
> >         return 0;
> > }
> >
> > If I compile and run this, it consistently stops at about 780MB.  If I
> > compile with -mno-cygwin, it doesn't fail until almost 2GB have been
> > allocated.
> >
> > Any comment?  Is there some sort of flag I can compile with to make the
> > allocator more aggressive?  The situation it's failing in is one where a
> > very large library is being linked and ld is running out of memory in
spite
> > of quite a bit being available.
> >
> > cheers,
> >
> > Kris
> >
> >
> > --
> > Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> > Bug reporting:         http://cygwin.com/bugs.html
> > Documentation:         http://cygwin.com/docs.html
> > FAQ:                   http://cygwin.com/faq/
> >
>
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/